Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.mldsa
Class MLDSAPublicKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.pqc.crypto.mldsa.MLDSAKeyParameters
              org.bouncycastle.pqc.crypto.mldsa.MLDSAPublicKeyParameters

All Implemented Interfaces:
  CipherParameters

Deprecated. use org.bouncycastle.crypto.params.MLDSAPublicKeyParameters

public class MLDSAPublicKeyParameters
extends MLDSAKeyParameters

Constructor Summary
`MLDSAPublicKeyParameters(MLDSAParameters params, byte[] encoding)` Deprecated.
`MLDSAPublicKeyParameters(MLDSAParameters params, byte[] rho, byte[] t1)` Deprecated.

Method Summary
`byte[]` | `getEncoded()` Deprecated.
`byte[]` | `getRho()` Deprecated.
`byte[]` | `getT1()` Deprecated.

Methods inherited from class org.bouncycastle.pqc.crypto.mldsa.MLDSAKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MLDSAPublicKeyParameters

    public MLDSAPublicKeyParameters(MLDSAParameters params,
                                    byte[] encoding)

  Deprecated.

### MLDSAPublicKeyParameters

    public MLDSAPublicKeyParameters(MLDSAParameters params,
                                    byte[] rho,
                                    byte[] t1)

  Deprecated.

Method Detail

### getEncoded

    public byte[] getEncoded()

  Deprecated.

### getRho

    public byte[] getRho()

  Deprecated.

### getT1

    public byte[] getT1()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD